/*
** porttable.h - header for porttable.c
**
** Keith Zaback (krz@wcug.wwu.edu) Apr 98
*/

#ifndef INC_PORTTABLE_H
#define INC_PORTTABLE_H

/* defines */
#define	PORT_TABLE_SIZE_BYTES	8192	/* 64k entries / 8 = 8k */

/* typedefs */
typedef unsigned char *PORT_TABLE;

/* macros */

#define check_port(t, p)	(t[p >> 3] & (1 << (p & 0x7)))
#define set_port(t, p)		t[p >> 3] |= (1 << (p & 0x7))
#define unset_port(t, p)	t[p >> 3] &= ~(1 << (p & 0x7))
#define set_all_ports(t)	memset(t, 0xFF, PORT_TABLE_SIZE_BYTES)
#define unset_all_ports(t)	memset(t, 0x00, PORT_TABLE_SIZE_BYTES)

/* protos */
PORT_TABLE	create_port_table(void);
void		free_port_table(PORT_TABLE *tab);




#endif
